Transaction Result Inquiry API
If a payment authorization result or remittance request returns a "processing" result code, or if a timeout occurs, call this API repeatedly until a "Success" or "Failure" code is received.
To avoid receiving incorrect responses, wait at least 10 minutes after a "processing" or timeout event before calling this API.
API Information
POST/v1/api/pay/morw
Content-Type
application/json테스트
https://tbnpay.settlebank.co.kr/v1/api/pay/morw운영
https://npay.settlebank.co.kr/v1/api/pay/morwRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Unique Merchant ID assigned by Hecto Financial.
Unique Merchant ID assigned by Hecto Financial.
└pktDivCdAN(2)Alphanumeric, up to 2 bytes*Transaction type.
Transaction type.
*Transaction type of the order number. Default: RP
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
Merchant order number.
*No Korean characters. Order number used when the transaction was submitted.
└mchtTrdDtAN(8)Alphanumeric, up to 8 bytes*Order date.
Order date.
*yyyyMMdd
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date.
Request date.
*yyyyMMdd
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
*HH24MISS
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
*Merchant ID + order number + order date + request date + request time + auth key
Request Hash Code
| Item | Combined fields |
|---|---|
| pktHash value | Merchant ID + order number + order date + request date + request time + auth key |
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure).
Transaction status code (success/failure).
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
Decline code.
*Refer to rejection code table
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
*Error details are returned when an error occurs.
└trdNoAN(40)Alphanumeric, up to 40 bytesHecto Financial transaction reference number.
STFP_FIRM12345678901234567890Hecto Financial transaction reference number.
└bankCdN(3)Numeric, up to 3 bytesDebit bank code.
011Debit bank code.
└svcDivCdN(1)Numeric, up to 1 bytesService used for the transaction.
Service used for the transaction.
1: Firm banking 2: Open BankingRequest Example
{
"hdInfo": "SPAY_LT00_1.0",
"mchtId": "midtest",
"pktDivCd": "RP",
"mchtTrdNo": "OID201902210001",
"mchtTrdDt": "20191231",
"reqDt": "20191231",
"reqTm": "120000",
"pktHash": "hash value"
}
Response Example
{
"outStatCd": "0021",
"outRsltCd": "0000",
"outRsltMsg": "Processed successfully.",
"trdNo": "STFP_FIRM12345678901234567890",
"bankCd": "011",
"svcDivCd": "2"
}
Need technical support?
Code Samples
HectoFinancial GitHub